%define name	smbget
%define version 0.6
%define release %mkrel 7

Summary:	A simple wget-like tool for the SMB/CIFS protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://jelmer.vernstok.nl/oss/smbget/
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	libsmbclient-devel
BuildRequires:	popt-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
A simple wget-like tool for the SMB/CIFS protocol with resume and
recursive downloading.

%prep

%setup -q

%build

%make CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man{1,5}
install -m755 smbget %{buildroot}%{_bindir}/
install -m0644 smbget.1 %{buildroot}%{_mandir}/man1/
install -m0644 smbgetrc.5 %{buildroot}%{_mandir}/man5/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO smbgetrc
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man*/*



%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-7mdv2009.0
+ Revision: 260841
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-6mdv2009.0
+ Revision: 252648
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6-4mdv2008.1
+ Revision: 127374
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import smbget


* Mon Apr 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6-4mdk
- Rebuild for libsmbclient

* Sat Jan 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6-3mdk
- build release

* Fri Dec 05 2003 Franck Villaume <fvill@freesurf.fr> 0.6-2mdk
- add BuildRequires : popt-devel

* Sun Nov 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-1mdk
- 0.6

* Sun Nov 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- initial cooker contrib, PLD import
